ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | List of all members
SpatemPDUCodec Class Reference

`#include <SpatemCodec.hh>`

Inheritance diagram for SpatemPDUCodec:

## Public Member Functions
| SpatemPDUCodec ()
virtual int | encode (const SPATEM__PDU__Descriptions::SPATEM &spatem, BITSTRING &data)
| Encode TITAN message into ASN.1 PER message. More...
virtual int | decode (const BITSTRING &data, SPATEM__PDU__Descriptions::SPATEM &)
| Decode ASN.1 PER message into TITAN message. More...

## Additional Inherited Members
Protected Member Functions inherited from per_code< SPATEM__PDU__Descriptions::SPATEM >
int | _decode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const BITSTRING &p_data, SPATEM__PDU__Descriptions::SPATEM &msg)
int | _encode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const SPATEM__PDU__Descriptions::SPATEM &msg, BITSTRING &p_data)
Protected Member Functions inherited from asn1_recode_per
int | ber2per (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | per2ber (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | recode (const asn_TYPE_descriptor_s &td, int from, int to, TTCN_Buffer &buf)

## Constructor & Destructor Documentation

## ◆ SpatemPDUCodec()

SpatemPDUCodec::SpatemPDUCodec | ( |  | ) |
| inline explicit

## Member Function Documentation

## ◆ decode()

int SpatemPDUCodec::decode | ( | const BITSTRING & | p_bitstring,
|  | SPATEM__PDU__Descriptions::SPATEM & | p_message
| ) |  |
| virtual

Decode ASN.1 PER message into TITAN message.

Parameters

  [in] | p_bitstring | The network message in bit string format to decode
  [out] | p_message | The PDU message

Implements per_code< SPATEM__PDU__Descriptions::SPATEM >.

## ◆ encode()

int SpatemPDUCodec::encode | ( | const SPATEM__PDU__Descriptions::SPATEM & | p_message,
|  | BITSTRING & | p_bitstring
| ) |  |
| virtual

Encode TITAN message into ASN.1 PER message.

Parameters

  [in] | p_message | The PDU message to encode
  [out] | p_bitstring | The encoded PDU message in bit string format

Implements per_code< SPATEM__PDU__Descriptions::SPATEM >.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/SpatemCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/SpatemCodec.cc